> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get position risk

GET https://www.okx.com/api/v5/account/account-position-risk

Retrieve position risk information (balance and position data) for the account, useful for computing account-level risk.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-position-risk

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `instType` (enum, optional) — Instrument type.
  - Allowed values: `MARGIN`, `SWAP`, `FUTURES`, `OPTION`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountAccountPositionRiskGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountAccountPositionRiskGetResponsesContentApplicationJsonSchemaDataItems

- `adjEq` (string, optional) — Adjusted / effective equity in USD.
- `ts` (string, optional) — Update time, Unix timestamp in milliseconds.
- `balData` (list of ApiV5AccountAccountPositionRiskGetResponsesContentApplicationJsonSchemaDataItemsBalDataItems, optional) — Balance data.
- `posData` (list of ApiV5AccountAccountPositionRiskGetResponsesContentApplicationJsonSchemaDataItemsPosDataItems, optional) — Position data.

### ApiV5AccountAccountPositionRiskGetResponsesContentApplicationJsonSchemaDataItemsBalDataItems

- `ccy` (string, optional) — Currency.
- `eq` (string, optional) — Equity of the currency.
- `disEq` (string, optional) — Discount equity of the currency in USD.

### ApiV5AccountAccountPositionRiskGetResponsesContentApplicationJsonSchemaDataItemsPosDataItems

- `baseBal` (string, optional) — Base currency balance.
- `ccy` (string, optional) — Currency of the position margin.
- `instId` (string, optional) — Instrument ID.
- `instType` (string, optional) — Instrument type.
- `mgnMode` (string, optional) — Margin mode.
- `notionalCcy` (string, optional) — Notional value in the currency.
- `notionalUsd` (string, optional) — Notional value in USD.
- `pos` (string, optional) — Quantity of positions.
- `posCcy` (string, optional) — Position currency, only applicable to MARGIN.
- `posId` (string, optional) — Position ID.
- `posSide` (string, optional) — Position side.
- `quoteBal` (string, optional) — Quote currency balance.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "adjEq": "174238.6793649711331679",
      "ts": "1620282889345",
      "balData": [
        {
          "ccy": "BTC",
          "eq": "1.3863533369419636",
          "disEq": "78846.7803721021362242"
        },
        {
          "ccy": "USDT",
          "eq": "73323.395564963177146",
          "disEq": "73417.2495112863300127"
        }
      ],
      "posData": [
        {
          "baseBal": "0.4",
          "ccy": "",
          "instId": "BTC-USDT",
          "instType": "MARGIN",
          "mgnMode": "isolated",
          "notionalCcy": "0",
          "notionalUsd": "0",
          "pos": "0",
          "posCcy": "",
          "posId": "310388685292318723",
          "posSide": "net",
          "quoteBal": "0"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python account_getPositionRisk_example
import requests

url = "https://www.okx.com/api/v5/account/account-position-risk"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript account_getPositionRisk_example
const url = 'https://www.okx.com/api/v5/account/account-position-risk';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go account_getPositionRisk_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/account-position-risk"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby account_getPositionRisk_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/account-position-risk")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java account_getPositionRisk_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/account/account-position-risk")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php account_getPositionRisk_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/account/account-position-risk', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp account_getPositionRisk_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/account-position-risk");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift account_getPositionRisk_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/account-position-risk")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```